/* (C) 2022 YiRing, Inc. */
package com.yiring.app.param.car;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.time.LocalDateTime;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * @author tzl
 * 2022/4/12 11:11
 */
@ApiModel("CarParam")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class CarQueryParam {

    @ApiModelProperty(value = "车牌号码", example = "湘A12345")
    String carNum;

    @ApiModelProperty(value = "车辆类型", example = "轿车")
    String carType;

    @ApiModelProperty(value = "司机名称", example = "张三")
    String driverName;

    @ApiModelProperty(value = "司机电话", example = "17688888888")
    String driverMobile;

    @ApiModelProperty(value = "标签卡", example = "DW24515512")
    String labelCard;

    @ApiModelProperty(value = "标签卡状态", example = "2")
    String labelCardStatus;

    @ApiModelProperty(value = "所属单位id", example = "1")
    String orgId;

    @ApiModelProperty(value = "被访人id", example = "1")
    String intervieweeId;

    @ApiModelProperty(value = "来访原因", example = "视察")
    String reason;

    @ApiModelProperty(value = "收卡时间(开始)", example = "2022-04-11 17:25:33")
    LocalDateTime cardRecTimeStart;

    @ApiModelProperty(value = "收卡时间(结束)", example = "2022-04-11 17:26:33")
    LocalDateTime cardRecTimeEnd;

    @ApiModelProperty(value = "来访时间(开始)", example = "2022-04-11 17:25:33")
    LocalDateTime createTimeStart;

    @ApiModelProperty(value = "来访时间(结束)", example = "2022-04-11 17:26:33")
    LocalDateTime createTimeEnd;
}
