/* (C) 2022 YiRing, Inc. */
package com.yiring.app.vo.car;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * @author tzl
 * 2022/4/11 14:52
 */
@ApiModel("CarVo")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class CarVo implements Serializable {

    @ApiModelProperty(value = "车牌号码", example = "")
    String carNum;

    @ApiModelProperty(value = "车辆类型", example = "")
    String carType;

    @ApiModelProperty(value = "司机名称", example = "")
    String driverName;

    @ApiModelProperty(value = "司机电话", example = "")
    String driverMobile;

    @ApiModelProperty(value = "标签卡", example = "")
    String labelCard;

    @ApiModelProperty(value = "标签卡状态", example = "")
    String labelCardStatus;

    @ApiModelProperty(value = "单位id", example = "")
    String orgId;

    @ApiModelProperty(value = "被访人id", example = "")
    String intervieweeId;

    @ApiModelProperty(value = "来访原因", example = "")
    String reason;

    @ApiModelProperty(value = "收卡时间", example = "")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    LocalDateTime cardRecTime;

    @ApiModelProperty(value = "创建时间", example = "")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    LocalDateTime createTime;

    @ApiModelProperty(value = "发卡时间", example = "")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    LocalDateTime cardSendTime;
}
